.sc-emoji-picker {
    overflow: auto;
    width: 100%;
    max-height: calc(100% - 40px);
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    padding: 15px;
}

.sc-emoji-picker--category {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
}

.sc-emoji-picker--category-title {
    min-width: 100%;
    color: #b8c3ca;
    font-weight: 200;
    font-size: 13px;
    margin: 5px;
    letter-spacing: 1px;
}

.sc-emoji-picker--emoji {
    margin: 5px;
    width: 30px;
    line-height: 30px;
    text-align: center;
    cursor: pointer;
    vertical-align: middle;
    font-size: 28px;
    transition: transform 60ms ease-out, -webkit-transform 60ms ease-out;
    -webkit-transition-delay: 60ms;
    -o-transition-delay: 60ms;
    transition-delay: 60ms;
}

    .sc-emoji-picker--emoji:hover {
        -webkit-transform: scale(1.4);
        -ms-transform: scale(1.4);
        transform: scale(1.4);
    }

.sc-chat-window {
    width: 370px;
    height: calc(100% - 120px);
    max-height: 590px;
    position: fixed;
    right: 25px;
    bottom: 100px;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    -webkit-box-shadow: 0 7px 40px 2px hsla(210, 1%, 58%, 0.3);
    box-shadow: 0 7px 40px 2px hsla(210, 1%, 58%, 0.3);
    background: #fff;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    -webkit-transition: 0.3s ease-in-out;
    -o-transition: 0.3s ease-in-out;
    transition: 0.3s ease-in-out;
    border-radius: 10px;
    font-family: Helvetica Neue, Helvetica, Arial, sans-serif;
}

    .sc-chat-window.closed {
        opacity: 0;
        visibility: hidden;
        bottom: 90px;
    }

.sc-message-list {
    height: 80%;
    overflow-y: auto;
    background-color: #fff;
    background-size: 100%;
    padding: 40px 0;
}

.sc-message--me {
    text-align: right;
}

.sc-message--them {
    text-align: left;
}

@media (max-width: 450px) {
    .sc-chat-window {
        width: 100%;
        height: 100%;
        max-height: 100%;
        right: 0;
        bottom: 0;
        border-radius: 0;
        -webkit-transition: 0.1s ease-in-out;
        -o-transition: 0.1s ease-in-out;
        transition: 0.1s ease-in-out;
    }

        .sc-chat-window.closed {
            bottom: 0;
        }
}

.sc-launcher {
    background-color: #4e8cff;
    background-position: 50%;
    background-repeat: no-repeat;
    position: fixed;
    right: 25px;
    bottom: 25px;
    -webkit-box-shadow: none;
    box-shadow: none;
}

    .sc-launcher,
    .sc-launcher:before {
        width: 60px;
        height: 60px;
        border-radius: 50%;
        -webkit-transition: -webkit-box-shadow 0.2s ease-in-out;
        transition: -webkit-box-shadow 0.2s ease-in-out;
        -o-transition: box-shadow 0.2s ease-in-out;
        transition: box-shadow 0.2s ease-in-out;
        transition: box-shadow 0.2s ease-in-out, -webkit-box-shadow 0.2s ease-in-out;
    }

        .sc-launcher:before {
            content: "";
            position: relative;
            display: block;
        }

        .sc-launcher .sc-closed-icon,
        .sc-launcher .sc-open-icon {
            position: fixed;
            right: 25px;
            bottom: 25px;
        }

        .sc-launcher .sc-closed-icon,
        .sc-launcher .sc-open-icon {
            width: 60px;
            height: 60px;
            -webkit-transition: opacity 0.1s ease-in-out, -webkit-transform 0.1s ease-in-out;
            transition: opacity 0.1s ease-in-out, -webkit-transform 0.1s ease-in-out;
            -o-transition: opacity 0.1s ease-in-out, transform 0.1s ease-in-out;
            transition: opacity 0.1s ease-in-out, transform 0.1s ease-in-out;
            transition: opacity 0.1s ease-in-out, transform 0.1s ease-in-out, -webkit-transform 0.1s ease-in-out;
        }

        .sc-launcher .sc-open-icon {
            padding: 20px;
            -webkit-box-sizing: border-box;
            box-sizing: border-box;
            opacity: 0;
        }

        .sc-launcher.opened .sc-open-icon {
            opacity: 1;
        }

        .sc-launcher.opened .sc-closed-icon,
        .sc-launcher.opened .sc-open-icon {
            -webkit-transform: rotate(-90deg);
            -ms-transform: rotate(-90deg);
            transform: rotate(-90deg);
        }

        .sc-launcher.opened .sc-closed-icon {
            opacity: 0;
        }

        .sc-launcher.opened:before {
            -webkit-box-shadow: 0 0 400px 250px hsla(210, 1%, 58%, 0.2);
            box-shadow: 0 0 400px 250px hsla(210, 1%, 58%, 0.2);
        }

        .sc-launcher:hover {
            -webkit-box-shadow: 0 0 27px 1.5px rgba(0, 0, 0, 0.2);
            box-shadow: 0 0 27px 1.5px rgba(0, 0, 0, 0.2);
        }

.sc-new-messages-count {
    position: absolute;
    top: -3px;
    left: 41px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    border-radius: 50%;
    width: 22px;
    height: 22px;
    background: #ff4646;
    color: #fff;
    text-align: center;
    margin: auto;
    font-size: 12px;
    font-weight: 500;
    -webkit-box-shadow: -1px 1px 2px rgba(0, 0, 0, 0.3);
    box-shadow: -1px 1px 2px rgba(0, 0, 0, 0.3);
}

.sc-header {
    background: #4e8cff;
    min-height: 75px;
    border-top-left-radius: 9px;
    border-top-right-radius: 9px;
    color: #fff;
    padding: 10px;
    -webkit-box-shadow: 0 1px 4px rgba(0, 0, 0, 0.2);
    box-shadow: 0 1px 4px rgba(0, 0, 0, 0.2);
    position: relative;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
}

.sc-header--img {
    border-radius: 50%;
}

.sc-header--img,
.sc-header--team-name {
    -ms-flex-item-align: center;
    align-self: center;
    padding: 10px;
}

.sc-header--team-name {
    -webkit-box-flex: 1;
    -ms-flex: 1;
    flex: 1;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    border-radius: 5px;
}

.sc-header--close-button {
    width: 40px;
    -ms-flex-item-align: center;
    align-self: center;
    height: 40px;
    margin-right: 10px;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    cursor: pointer;
    border-radius: 5px;
}

    .sc-header--close-button:hover {
        background: #4882ed;
    }

    .sc-header--close-button img {
        width: 100%;
        height: 100%;
        padding: 13px;
        -webkit-box-sizing: border-box;
        box-sizing: border-box;
    }

@media (max-width: 450px) {
    .sc-header {
        border-radius: 0;
    }
}

.sc-message {
    width: 300px;
    /*margin: auto;*/
    padding-bottom: 10px;
}

.sc-message-received {
    margin-right: auto;
    margin-left: 10px;
}

.sc-message-sent {
    margin-left: auto;
    margin-right: 10px;
}

.sc-message,
.sc-message--content {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
}

.sc-message--content {
    width: 100%;
}

    .sc-message--content.sent {
        -webkit-box-pack: end;
        -ms-flex-pack: end;
        justify-content: flex-end;
    }

        .sc-message--content.sent .sc-message--avatar {
            display: none;
        }

.sc-message--avatar {
    background-image: url(https://d13yacurqjgara.cloudfront.net/assets/avatar-default-aa2eab7684294781f93bc99ad394a0eb3249c5768c21390163c9f55ea8ef83a4.gif);
    background-repeat: no-repeat;
    background-size: 100%;
    background-position: 50%;
    min-width: 30px;
    min-height: 30px;
    border-radius: 50%;
    -ms-flex-item-align: center;
    align-self: center;
    margin-right: 15px;
}

.sc-message--text {
    padding: 17px 20px;
    border-radius: 6px;
    font-weight: 300;
    font-size: 14px;
    line-height: 1.4;
    white-space: pre-wrap;
    -webkit-font-smoothing: subpixel-antialiased;
    word-wrap: break-word;
    width: calc(100% - 90px);
}

.sc-message--content.sent .sc-message--text {
    color: #fff;
    background-color: #4e8cff;
    max-width: calc(100% - 120px);
    word-wrap: break-word;
}

.sc-message--content.received .sc-message--text {
    color: #263238;
    background-color: #f4f7f9;
    margin-right: 40px;
}

.sc-message--emoji {
    font-size: 40px;
}

.sc-message--file {
    background: #fff;
    border: 1px solid #cccdd1;
    padding: 15px 20px;
    border-radius: 5px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    font-weight: 300;
    font-size: 14px;
    line-height: 1.4;
    cursor: pointer;
    text-decoration: none;
}

    .sc-message--file p {
        margin: 0 0 0 10px;
        color: rgba(86, 88, 103, 0.6);
    }

    .sc-message--file .sc-user-input--file-icon:hover path {
        fill: rgba(86, 88, 103, 0.3);
    }

@media (max-width: 450px) {
    .sc-message {
        width: 80%;
    }
}

.sc-user-input {
    min-height: 55px;
    margin: 0;
    position: relative;
    bottom: 0;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    background-color: #f4f7f9;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
    -webkit-transition: background-color 0.2s ease, -webkit-box-shadow 0.2s ease;
    transition: background-color 0.2s ease, -webkit-box-shadow 0.2s ease;
    -o-transition: background-color 0.2s ease, box-shadow 0.2s ease;
    transition: background-color 0.2s ease, box-shadow 0.2s ease;
    transition: background-color 0.2s ease, box-shadow 0.2s ease, -webkit-box-shadow 0.2s ease;
}

.sc-user-input--text {
    width: 300px;
    resize: none;
    border: none;
    outline: none;
    border-bottom-left-radius: 10px;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    padding: 18px;
    font-size: 15px;
    font-weight: 400;
    line-height: 1.33;
    white-space: pre-wrap;
    word-wrap: break-word;
    color: #565867;
    -webkit-font-smoothing: antialiased;
    max-height: 200px;
    overflow: scroll;
    bottom: 0;
    overflow-x: hidden;
    overflow-y: auto;
}

    .sc-user-input--text:empty:before {
        content: attr(placeholder);
        display: block;
        color: rgba(86, 88, 103, 0.3);
        outline: none;
    }

.sc-user-input--buttons {
    width: 100px;
    position: absolute;
    right: 10px;
    height: 100%;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: end;
    -ms-flex-pack: end;
    justify-content: flex-end;
}

.sc-user-input--button:first-of-type {
    width: 40px;
}

.sc-user-input--button {
    width: 30px;
    height: 55px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
}

    .sc-user-input--button button {
        cursor: pointer;
    }

.sc-user-input--buttons input[type="file"] {
    display: none;
}

.sc-user-input--picker-wrapper {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
}

.sc-user-input.active {
    -webkit-box-shadow: none;
    box-shadow: none;
    background-color: #fff;
    -webkit-box-shadow: 0 -5px 20px 0 rgba(150, 165, 190, 0.2);
    box-shadow: 0 -5px 20px 0 rgba(150, 165, 190, 0.2);
}

.sc-user-input--file-icon,
.sc-user-input--send-icon {
    height: 20px;
    width: 20px;
    cursor: pointer;
    -ms-flex-item-align: center;
    align-self: center;
    outline: none;
}

    .sc-user-input--file-icon path,
    .sc-user-input--send-icon path {
        fill: rgba(86, 88, 103, 0.3);
    }

    .sc-user-input--file-icon:hover path,
    .sc-user-input--send-icon:hover path {
        fill: #565867;
    }

.sc-user-input--emoji-icon-wrapper,
.sc-user-input--file-icon-wrapper,
.sc-user-input--send-icon-wrapper {
    background: none;
    border: none;
    padding: 2px;
    margin: 0;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
}

.sc-user-input--file-icon-wrapper,
.sc-user-input--send-icon-wrapper {
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row;
}

.sc-user-input--emoji-icon-wrapper:focus {
    outline: none;
}

.sc-user-input--emoji-icon {
    height: 18px;
    cursor: pointer;
    -ms-flex-item-align: center;
    align-self: center;
}

    .sc-user-input--emoji-icon circle,
    .sc-user-input--emoji-icon path {
        fill: rgba(86, 88, 103, 0.3);
    }

    .sc-user-input--emoji-icon-wrapper:focus .sc-user-input--emoji-icon circle,
    .sc-user-input--emoji-icon-wrapper:focus .sc-user-input--emoji-icon path,
    .sc-user-input--emoji-icon.active circle,
    .sc-user-input--emoji-icon.active path,
    .sc-user-input--emoji-icon:hover circle,
    .sc-user-input--emoji-icon:hover path {
        fill: #565867;
    }

.sc-popup-window {
    position: relative;
    width: 150px;
}

.sc-popup-window--cointainer {
    position: absolute;
    bottom: 20px;
    right: 100px;
    width: 330px;
    max-height: 260px;
    height: 260px;
    -webkit-box-shadow: 0 7px 40px 2px hsla(210, 1%, 58%, 0.3);
    box-shadow: 0 7px 40px 2px hsla(210, 1%, 58%, 0.3);
    background: #fff;
    border-radius: 10px;
    outline: none;
    -webkit-transition: 0.2s ease-in-out;
    -o-transition: 0.2s ease-in-out;
    transition: 0.2s ease-in-out;
    z-index: 1;
    padding: 0 5px 5px;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

    .sc-popup-window--cointainer.closed {
        opacity: 0;
        visibility: hidden;
        bottom: 14px;
    }

    .sc-popup-window--cointainer:after {
        content: "";
        width: 14px;
        height: 14px;
        background: #fff;
        position: absolute;
        z-index: -1;
        bottom: -6px;
        right: 28px;
        -webkit-transform: rotate(45deg);
        -ms-transform: rotate(45deg);
        transform: rotate(45deg);
        border-radius: 2px;
    }

.sc-popup-window--search {
    width: 290px;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    margin: auto;
    display: block;
    border-width: 0 0 1px;
    color: #565867;
    padding-left: 25px;
    height: 40px;
    font-size: 14px;
    background-image: url(https://js.intercomcdn.com/images/search@2x.32fca88e.png);
    background-size: 16px 16px;
    background-repeat: no-repeat;
    background-position: 0 12px;
    outline: none;
}

    .sc-popup-window--search::-webkit-input-placeholder {
        color: #c1c7cd;
    }

    .sc-popup-window--search:-ms-input-placeholder {
        color: #c1c7cd;
    }

    .sc-popup-window--search::placeholder {
        color: #c1c7cd;
    }

body {
    padding: 0;
    margin: 0;
}

* {
    font-family: Avenir Next, Helvetica Neue, Helvetica, sans-serif;
}

.demo-description,
.demo-description img {
    max-width: 500px;
}

.demo-test-area {
    width: 300px;
}

.demo-test-area,
.demo-test-area--text {
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

.demo-test-area--text {
    width: 100%;
    padding: 0;
    resize: none;
    font-family: Avenir Next, Helvetica Neue, Helvetica, sans-serif;
    background: #fafbfc;
    color: #8da2b5;
    border: 1px solid #dde5ed;
    font-size: 16px;
    padding: 16px 15px 14px;
    margin: 0;
    border-radius: 6px;
    outline: none;
    height: 150px;
    margin-bottom: 10px;
}

.demo-monster-img {
    width: 400px;
    display: block;
    margin: 60px auto;
}

.demo-header {
    width: 100%;
    color: #4e8cff;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    max-width: 1100px;
    margin: auto;
    padding: 40px 0;
}

.demo-header--title {
    font-size: 24px;
    font-weight: 600;
}

.demo-header--links {
    width: 200px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    font-size: 18px;
    font-weight: 500;
}

    .demo-header--links a,
    .demo-header--title a {
        color: #4e8cff;
        text-decoration: none;
        cursor: pointer;
    }

        .demo-header--links a:hover,
        .demo-header--title a:hover {
            color: #4983ee;
        }

.demo-test-area--wrapper {
    width: 100%;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
}

.demo-test-area--title {
    -ms-flex-item-align: center;
    align-self: center;
    text-align: center;
}

.demo-test-area--title-main {
    color: #516996;
    font-weight: 600;
    font-size: 28px;
}

.demo-test-area--title-sub {
    color: #4e8cff;
    padding-top: 10px;
}

.demo-test-area {
    -ms-flex-item-align: center;
    align-self: center;
    margin-top: 30px;
    width: 400px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
}

.demo-test-area--preamble {
    padding: 20px 0;
    color: #516996;
}

.demo-test-area--button {
    font-family: Avenir Next, Helvetica Neue, Helvetica, sans-serif;
    font-weight: 400;
    margin-top: 20px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    border: none;
    line-height: 1.4;
    text-decoration: none;
    background: #4e8cff;
    color: #fff;
    padding: 6px 10px;
    font-size: 20px;
    height: 50px;
    border-radius: 4px;
    width: 80%;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    outline: none;
    cursor: pointer;
    -ms-flex-item-align: center;
    align-self: center;
}

    .demo-test-area--button:hover {
        background: #4883f1;
    }

.demo-test-area--info {
    margin: auto;
    margin-top: 40px;
    color: #516996;
    font-weight: 200;
    width: 550px;
}

    .demo-test-area--info a,
    .demo-test-area--title-sub a {
        font-weight: 400;
        text-decoration: none;
        color: #4e8cff;
    }

.demo-footer {
    width: 1100px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    margin: auto;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    padding: 20px 0;
    border-top: 2px solid #f0f4fa;
    color: #8694ab;
    font-weight: 100;
    font-size: 14px;
}
/*# sourceMappingURL=demo.976e4482.css.map*/
